Skip to main content
`Ctrl`+`K`

# VecImaginaryPart

Replaces a complex vector with its imaginary part

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecImaginaryPart(Vec v)

Collective

## Input Parameter

- v - the vector

## See Also

`Vec`, `VecNorm()`, `VecRealPart()`

## Level

beginner

## Location

src/vec/vec/utils/vinv.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages